"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertEventsToEventStreamEvents = void 0;
var __1 = require("..");
function convertEventsToEventStreamEvents(eventsArray) {
    var results = [];
    eventsArray.forEach(function (event) {
        if (event.type === 'Comment') {
            results.push({
                action: __1.EventStreamActionType.comment,
                createdDate: new Date(event.timestamp),
                subject: {
                    initials: getInitialsOrDefault(event),
                    email: event.username,
                },
                comment: event.message,
            });
        }
    });
    return results.reverse();
}
exports.convertEventsToEventStreamEvents = convertEventsToEventStreamEvents;
function getInitialsOrDefault(event) {
    if (event.firstName && event.lastName) {
        var firstInitial = event.firstName[0];
        var lastInitial = event.lastName[0];
        return "" + firstInitial + lastInitial;
    }
    return event.username.substring(0, 2);
}
//# sourceMappingURL=event.js.map